Bug 995039 - Remove the old client API
Summary: Remove the old client API
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: 2.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: 3.0
: ---
Assignee: Andrew Stitcher
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Keywords:
Depends On: 1008565
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-08 12:49 UTC by Justin Ross
Modified: 2015-01-21 12:57 UTC (History)
9 users (show)

Fixed In Version: qpid-cpp-0.22-16
Doc Type: Deprecated Functionality
Doc Text:
The Old Qpid Client C++ API (in namespace qpid::client) has been removed from the developer packages. This API is now old, not actively maintained, brings in some undesirable dependencies, and is therefore not recommended for new code. The Qpid Messenging API (in namespace qpid::messaging) has equivalent functionality and can be used instead. All new C++ messagaing code should use the Qpid Messaging API. Previous code written using the Qpid Client code may require modification to use the Qpid Messaging API.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 12:57:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4942 None None None Never
Red Hat Bugzilla 1008565 None None None Never

Internal Trackers: 1008565

Description Justin Ross 2013-08-08 12:49:13 UTC
Don't ship the qpid::client APIs with 3.x.

Comment 3 Andrew Stitcher 2013-09-04 20:08:02 UTC
This feature corresponds to upstream
QPID-4942 relies on upstream
QPID-4940
QPID-4941
So they also need to be back ported.

The relevant svn changes are:
r1507463 r1507464 r1507467 r1507469 r1507470 r1508915

Comment 5 Chuck Rolke 2013-09-16 18:09:37 UTC
For WinSDK this issue also requires r1508864 and r1509004.

Comment 8 Frantisek Reznicek 2014-04-14 13:50:11 UTC
Old qpid::client, qmf1 APIs headers removed including examples.

qpid-cpp-*0.22-37.el6
qpid-qmf-*0.22-29.el6
qpid-cpp-win-3.22.36.1-1


-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.